## cider 0.16.0+dfsg

=== Makefile ===
export EMACS ?= emacs
EMACSFLAGS = -L .
CASK = cask
VERSION = $(shell git describe --tags --abbrev=0 | sed 's/^v//')
PACKAGE_NAME = cider-$(VERSION)

ELS = $(wildcard *.el)
OBJECTS = $(ELS:.el=.elc)

.PHONY: elpa build version test test-checks test-bytecomp test-all clean elpaclean run-cider

.depend: $(ELS)
	@echo Compute dependencies
	@rm -f .depend
	@for f in $(ELS); do \
		sed -n "s/(require '\(\(cider\|nrepl\)-.*\)).*$$/$${f}c: \1.elc/p" $$f >> .depend;\
	done

-include .depend

elpa-$(EMACS):
	$(CASK) install
	$(CASK) update
	touch $@

elpa: elpa-$(EMACS)

build: version elpa
	$(CASK) build

version:
	$(EMACS) --version

test: version build
	$(CASK) exec buttercup -L . -L ./test/utils/

test-checks: version elpa
	$(CASK) exec $(EMACS) --no-site-file --no-site-lisp --batch \
		-l test/scripts/cider-checks.el ./

test-bytecomp: version elpa
	$(CASK) exec $(EMACS) --no-site-file --no-site-lisp --batch \
		-l test/scripts/cider-bytecomp-warnings.el $(ELS)

test-all: test-checks test-bytecomp test

clean:
	rm -f .depend $(OBJECTS)

elpaclean: clean
	rm -f elpa*
	rm -rf .cask # Clean packages installed for development

run-cider: elpa
	cask exec $(EMACS) -Q -L . --eval "(require 'cider)"

=== debian/changelog ===
cider (0.16.0+dfsg-2build1) bionic; urgency=medium

  * No-change rebuild.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Apr 2018 14:21:12 +0200

cider (0.16.0+dfsg-2) unstable; urgency=medium

  * Set autopkgtest_keep in d/elpa-test.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 09 Feb 2018 22:24:34 -0700

cider (0.16.0+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #885384).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 20 Jan 2018 12:02:32 -0700

=== debian/control ===
Source: cider
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders:
 Sean Whitton <spwhitton@spwhitton.name>,
Build-Depends:
 debhelper (>= 10),
 dh-elpa,
 dh-linktree,
 elpa-buttercup,
 elpa-clojure-mode,
 elpa-pkg-info,
 elpa-queue,
 elpa-spinner,
 mkdocs,
 mkdocs-bootstrap,
Standards-Version: 4.1.2
Vcs-Browser: https://salsa.debian.org/emacsen-team/cider
Vcs-Git: https://salsa.debian.org/emacsen-team/cider
Homepage: https://www.github.com/clojure-emacs/cider
Testsuite: autopkgtest-pkg-elpa

Package: cider-doc
Section: doc
Architecture: all
Depends:
 elpa-cider (= ${source:Version}),
 ${misc:Depends},
Description: Clojure IDE for Emacs - documentation
 CIDER is the Clojure(Script) Interactive Development Environment that Rocks
 .
 While clojure-mode provides Emacs support for editing Clojure source files,
 CIDER's cider-mode provides support for interacting with a running Clojure
 process for compilation, debugging, looking up definitions and more.

Package: elpa-cider
Architecture: all
Depends:
 ${elpa:Depends},
 ${misc:Depends},
 leiningen | gradle,
# | boot-clojure
Recommends:
 emacs (>= 46.0),
# libcider-nrepl-clojure,
# libtools-nrepl-clojure,
Enhances:
 emacs,
 emacs25,
Provides:
 elpa-nrepl,
Suggests:
 cider-doc,
Description: Clojure IDE for Emacs
 CIDER is the Clojure(Script) Interactive Development Environment that Rocks
 .
 While clojure-mode provides Emacs support for editing Clojure source files,
 CIDER's cider-mode provides support for interacting with a running Clojure
 process for compilation, debugging, looking up definitions and more.
 .
 This package installs CIDER's documentation.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa --with linktree

# mkdocs under python3 needs a UTF locale or Click gives up
override_dh_auto_build:
	LANG=C.UTF-8 LC_ALL=C.UTF-8 mkdocs build --clean

override_dh_installdocs:
	dh_installdocs -X__pycache__ --link-doc=elpa-cider

## cider 0.17.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -5,9 +5,10 @@
 PACKAGE_NAME = cider-$(VERSION)
 
 ELS = $(wildcard *.el)
+LINTELS = $(filter-out cider-autoloads.el,$(ELS))
 OBJECTS = $(ELS:.el=.elc)
 
-.PHONY: elpa build version test test-checks test-bytecomp test-all clean elpaclean run-cider
+.PHONY: elpa build version test lint clean elpaclean run-cider
 
 .depend: $(ELS)
 	@echo Compute dependencies
@@ -34,15 +35,15 @@
 test: version build
 	$(CASK) exec buttercup -L . -L ./test/utils/
 
-test-checks: version elpa
-	$(CASK) exec $(EMACS) --no-site-file --no-site-lisp --batch \
-		-l test/scripts/cider-checks.el ./
+lint: version elpa
+	$(CASK) exec $(EMACS) -Q --batch \
+		--eval "(setq enable-local-variables :safe)" \
+		-l elisp-lint.el -f elisp-lint-files-batch \
+		--no-package-format \
+                --no-fill-column \
+		$(LINTELS)
 
-test-bytecomp: version elpa
-	$(CASK) exec $(EMACS) --no-site-file --no-site-lisp --batch \
-		-l test/scripts/cider-bytecomp-warnings.el $(ELS)
-
-test-all: test-checks test-bytecomp test
+test-all: lint test
 
 clean:
 	rm -f .depend $(OBJECTS)

=== debian/changelog ===
cider (0.17.0+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #900825, #901564).
  * Flip long descriptions of binary packages, which were somehow the
    wrong way around.
  * Update debian/cider-doc.linktrees as search javascript in bin:mkdocs
    has moved.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 06 Jul 2018 08:36:11 +0100

=== debian/control ===
--- 
+++ 
@@ -33,6 +33,8 @@
  While clojure-mode provides Emacs support for editing Clojure source files,
  CIDER's cider-mode provides support for interacting with a running Clojure
  process for compilation, debugging, looking up definitions and more.
+ .
+ This package installs CIDER's documentation.
 
 Package: elpa-cider
 Architecture: all
@@ -58,5 +60,3 @@
  While clojure-mode provides Emacs support for editing Clojure source files,
  CIDER's cider-mode provides support for interacting with a running Clojure
  process for compilation, debugging, looking up definitions and more.
- .
- This package installs CIDER's documentation.

## cider 0.18.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -35,6 +35,12 @@
 test: version build
 	$(CASK) exec buttercup -L . -L ./test/utils/
 
+autoloads:
+	$(CASK) exec $(EMACS) -Q --batch \
+		-l autoload.el \
+		--eval "(let ((generated-autoload-file (expand-file-name \"cider-autoloads.el\"))) \
+                  (update-directory-autoloads (expand-file-name \".\")))"
+
 lint: version elpa
 	$(CASK) exec $(EMACS) -Q --batch \
 		--eval "(setq enable-local-variables :safe)" \
@@ -46,7 +52,7 @@
 test-all: lint test
 
 clean:
-	rm -f .depend $(OBJECTS)
+	rm -f .depend $(OBJECTS) cider-autoloads.el
 
 elpaclean: clean
 	rm -f elpa*
@@ -54,3 +60,6 @@
 
 run-cider: elpa
 	cask exec $(EMACS) -Q -L . --eval "(require 'cider)"
+
+html:
+	mkdocs build

=== debian/changelog ===
cider (0.18.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Update README.Debian for changes to jack-in commands
    - Add elpa-sesman & leiningen build-deps.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 08 Sep 2018 11:07:23 -0700

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,9 @@
  elpa-clojure-mode,
  elpa-pkg-info,
  elpa-queue,
+ elpa-sesman,
  elpa-spinner,
+ leiningen,
  mkdocs,
  mkdocs-bootstrap,
 Standards-Version: 4.1.2

## cider 0.19.0%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa --with mkdocs

# mkdocs under python3 needs a UTF locale or Click gives up
override_dh_auto_build:
	LANG=C.UTF-8 LC_ALL=C.UTF-8 mkdocs build --clean

override_dh_installdocs:
	dh_installdocs -X__pycache__ --link-doc=elpa-cider

override_dh_compress:
	dh_compress -Xsearch_index.json -Xhtml/

## cider 0.19.0+dfsg

=== Makefile ===
export EMACS ?= emacs
EMACSFLAGS = -L .
CASK = cask
VERSION = $(shell git describe --tags --abbrev=0 | sed 's/^v//')
PKG = cider

ELS_ALL = $(wildcard *.el)
ELS = $(filter-out $(PKG)-autoloads.el,$(ELS_ALL))
OBJECTS = $(ELS:.el=.elc)

.PHONY: elpa build version test lint clean elpaclean autoloads run-$(PKG)

all: build

.depend: $(ELS)
	@echo Compute dependencies
	@rm -f .depend
	@for f in $(ELS); do \
		sed -n "s/(require '\(\(cider\|nrepl\)-.*\)).*$$/$${f}c: \1.elc/p" $$f >> .depend;\
	done

-include .depend

elpa-$(EMACS):
	$(CASK) install
	$(CASK) update
	touch $@

elpa: elpa-$(EMACS)

autoloads: $(PKG)-autoloads.el

$(PKG)-autoloads.el: $(ELS)
	@printf "Generating $@\n"
	@printf "%s" "$$LOADDEFS_TMPL" > $@
	@$(CASK) exec $(EMACS) -Q --batch -l autoload.el --eval "(progn\
	(fset 'message (lambda (&rest _)))\
	(setq make-backup-files nil)\
	(setq vc-handled-backends nil)\
	(setq default-directory (file-truename default-directory))\
	(setq generated-autoload-file (expand-file-name \"$@\"))\
	(setq find-file-visit-truename t)\
	(update-directory-autoloads default-directory))"

build: version elpa autoloads
	$(CASK) build

version:
	$(EMACS) --version

test: version build
	$(CASK) exec buttercup -L . -L ./test/utils/

lint: version elpa
	$(CASK) exec $(EMACS) -Q --batch \
		--eval "(setq enable-local-variables :safe)" \
		-l elisp-lint.el -f elisp-lint-files-batch \
		--no-package-format \
                --no-fill-column \
		$(ELS)

test-all: lint test

clean:
	rm -f .depend $(OBJECTS) $(PKG)-autoloads.el

elpaclean: clean
	rm -f elpa*
	rm -rf .cask # Clean packages installed for development

run-$(PKG): elpa
	cask exec $(EMACS) -Q -L . --eval "(require '$(PKG))"

html:
	mkdocs build

## Templates #########################################################

define LOADDEFS_TMPL
;;; $(PKG)-autoloads.el --- automatically extracted autoloads
;;
;;; Code:
(add-to-list 'load-path (directory-file-name \
(or (file-name-directory #$$) (car load-path))))

;; Local Variables:
;; version-control: never
;; no-byte-compile: t
;; no-update-autoloads: t
;; End:
;;; $(PKG)-autoloads.el ends here

endef
export LOADDEFS_TMPL
#'

=== debian/changelog ===
cider (0.19.0+dfsg-3) unstable; urgency=low

  * QA upload.
  * Set maintainer to Debian QA Group. (see #952807)
  * Fix FTBFS with mkdocs 1.3.0. (Closes: #1009419)

 -- Adrian Bunk <bunk@debian.org>  Wed, 11 May 2022 16:20:45 +0300

cider (0.19.0+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Lukas Märdian ]
  * Cherry pick upstream commit 50228d441efee8b5de92a0f34039ea6380352d92
    to fix "Spies can only be created in ‘before-each’" (Closes: #954699)

  * Cherry pick upstream commit adeede55ebc8db26131a9f04bf596621574d742c
    - refreshed for current version
    - via upstream PR#2804 (together with commit 50228d)
    - https://github.com/clojure-emacs/cider/pull/2804

  * Cherry pick one hunk of 92d2c3ed0416d8010bb74252b535fff80bbcbfd5
    - only before-all > before-each is needed to fix the tests

  [ Dimitri John Ledkov ]
  * Drop debian/source/options, does not allow individual patches.

 -- Lukas Märdian <lukas.maerdian@canonical.com>  Mon, 06 Jul 2020 12:30:35 +0200

cider (0.19.0+dfsg-2) unstable; urgency=medium

  * Cherry pick upstream commit a48af155d8acf64e7c3025146027ef2d62f1cc2e
    (Closes: #924697).

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 19 Mar 2019 08:49:20 -0700

cider (0.19.0+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 10 Jan 2019 12:11:39 -0700

cider (0.18.0+dfsg-2) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Stop overriding mkdocs theme, search works fine now.
  * Use dh_mkdocs instead of dh_linktree.
  * Prevent search_index.json from being compressed.

  [ Sean Whitton ]
  * Prevent any HTML docs being compressed, too.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 19 Dec 2018 11:53:14 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,10 @@
 Source: cider
 Section: lisp
 Priority: optional
-Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
-Uploaders:
- Sean Whitton <spwhitton@spwhitton.name>,
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  debhelper (>= 10),
  dh-elpa,
- dh-linktree,
  elpa-buttercup,
  elpa-clojure-mode,
  elpa-pkg-info,
@@ -15,8 +12,7 @@
  elpa-sesman,
  elpa-spinner,
  leiningen,
- mkdocs,
- mkdocs-bootstrap,
+ mkdocs (>= 1.0.4),
 Standards-Version: 4.1.2
 Vcs-Browser: https://salsa.debian.org/emacsen-team/cider
 Vcs-Git: https://salsa.debian.org/emacsen-team/cider
@@ -29,6 +25,7 @@
 Depends:
  elpa-cider (= ${source:Version}),
  ${misc:Depends},
+ ${mkdocs:Depends},
 Description: Clojure IDE for Emacs - documentation
  CIDER is the Clojure(Script) Interactive Development Environment that Rocks
  .
